Bug 962162 - PRD33 - [RFE] [host-deploy] support ssh public key authentication
Summary: PRD33 - [RFE] [host-deploy] support ssh public key authentication
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.3.0
Assignee: Yaniv Bronhaim
QA Contact: Barak Dagan
URL: http://www.ovirt.org/Features/Ssh_Abi...
Whiteboard: infra
: 1033322 (view as bug list)
Depends On:
Blocks: 975677 1019470
TreeView+ depends on / blocked
 
Reported: 2013-05-12 07:14 UTC by Alon Bar-Lev
Modified: 2018-12-04 15:21 UTC (History)
15 users (show)

Fixed In Version: is6
Doc Type: Enhancement
Doc Text:
Previously, only user name and password authentication was supported for host installation and upgrade. With this update, public key authentication is now supported. This feature provides a higher level of security, streamlines subsequent authentication, and reduces the possibility of man-in-the-middle attacks by displaying and retaining the SSH public key fingerprint of remote hosts.
Clone Of:
: 975677 (view as bug list)
Environment:
Last Closed: 2014-01-21 17:21:02 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0038 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.3.0 update 2014-01-21 22:03:06 UTC
oVirt gerrit 16270 None None None Never
Red Hat Knowledge Base (Solution) 629263 None None None Never

Description Alon Bar-Lev 2013-05-12 07:14:34 UTC
Currently we use user/password authentication for host-deploy, ovirt-node upgrade.

We use public key authentication for ovirt-node approval.

I would like we support both user password and public key authentication.

Suggested implementation:

ADD HOST

Host: _______________
Authentication:
 <x> Password: _____________
 < > Public key
     Key: _______read only text of public key_____________

RE-INSTALL/APPROVE

Host: ______readonly_________
Authentication:
 < > Password: _____________
 <x> Public key
     Key: _______read only text of public key_____________

Comment 2 Barak Dagan 2013-09-03 14:22:25 UTC
Verified on is12 - feature exists

Comment 3 Alon Bar-Lev 2013-11-24 10:43:32 UTC
*** Bug 1033322 has been marked as a duplicate of this bug. ***

Comment 4 Charlie 2013-11-28 00:18:45 UTC
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.

Comment 5 errata-xmlrpc 2014-01-21 17:21:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html


Note You need to log in before you can comment on or make changes to this bug.